Bug 36 - fontconfig.spec file is bogus
Summary: fontconfig.spec file is bogus
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.1
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Mike Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-24 09:55 UTC by Keith Packard
Modified: 2004-12-03 14:11 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
spec.in+ patch (3.48 KB, patch)
2003-02-26 22:17 UTC, Yanko Kaneti
Details | Splinter Review
Proposed fontconfig.spec.in file (1.56 KB, text/plain)
2003-03-02 09:39 UTC, Keith Packard
Details

Description Keith Packard 2003-02-24 09:55:22 UTC
When switching to automake, I added fontconfig.spec.in to create RH
packages, but I haven't a clue what belongs inside it.
Comment 1 Yanko Kaneti 2003-02-26 22:17:05 UTC
Attached is the patch I needed to make
$ ./autogen.sh && make dist && rpmbuild -tb *.tar.gz
produce something useful.
Comment 2 Yanko Kaneti 2003-02-26 22:17:42 UTC
Created attachment 26 [details] [review]
spec.in+ patch
Comment 3 Mike Harris 2003-03-02 02:35:40 UTC
I have updated the fontconfig.spec.in to be correct for building on
Red Hat Linux 8.0, and successfully built it on:

    i386, x86_64, ia64, ppc, s390, s390x

The updated spec file should be in CVS in the next few days.
Comment 4 Keith Packard 2003-03-02 09:39:16 UTC
Created attachment 28 [details]
Proposed fontconfig.spec.in file
Comment 5 Keith Packard 2003-03-02 09:39:56 UTC
> Source:		http://www.fontconfig.org/fontconfig.tar.gz

Should we put something real here?
Comment 6 Owen Taylor 2003-03-02 10:04:01 UTC
I'll compare this to the Red Hat spec and do some further fixups.

I assume:
 
 Source: http://fontconfig.org/release/fontconfig-%{version}.tar.gz

Will be right?

 
Comment 7 Keith Packard 2003-03-02 10:06:42 UTC
Yes, that source should work.  I generate the files with 'make dist' now,
so they should be consistently named.
Comment 8 Keith Packard 2003-03-04 22:15:12 UTC
Is the .spec file done yet?
Comment 9 Yanko Kaneti 2003-03-04 23:14:15 UTC
there is a typo on the Source: line  vesion -> version

there appears to be no man page so  %{_mandir}/man1/* should be removed i guess

and my rh8 rpm warns me about:
warning: Installed (but unpackaged) file(s) found:
   /usr/share/doc/fontconfig/fontconfig-devel.html
   /usr/share/doc/fontconfig/fontconfig-devel.txt
   /usr/share/doc/fontconfig/fontconfig-user.html
   /usr/share/doc/fontconfig/fontconfig-user.txt
Comment 10 Owen Taylor 2003-03-05 07:17:02 UTC
I didn't actually get to the point of testing it ... there were
some more fixes needed to be done to make 'distcheck' pass...
not all the files were getting there.

I'll see about finishing that up today.
Comment 11 Yanko Kaneti 2003-03-07 23:58:32 UTC
From ChangeLog:
>  RPM specfile cleanups for 2.1.92: Removed man1/* and added man5/* to main
package and man3/* to devel package

Actually the man1 pages for fc-list and fc-cache were not disted by accident.
Now keithp fixed that in cvs and they probably should be reincluded in the main
package manifest.
Comment 12 Warren Turkal 2004-01-11 04:40:35 UTC
Can the people involved with this bug please see if this is still relevant and
provide an update? The last update was on 2003-03-07.
Comment 13 Keith Packard 2004-12-04 09:11:46 UTC
I'm guessing this bug is not a problem any longer.  Please reopen with
complaints if it is.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.